3.0 to 3.1 upgrade

Post Reply
Lumpy Burgertushie
Posts: 32
Joined: 1/13/2018 4:06 pm

3.0 to 3.1 upgrade

Post by Lumpy Burgertushie » 10/14/2019 1:51 pm

Upgrading from phpbb 3.0.x to phpbb 3.1.x
  • Your server must be running at least PHP 5.4 and less than PHP 7
  • Most MODs for 3.0.x are incompatible with 3.1.x and their functionality will be removed in the update process.
  • Styles for 3.0.x cannot be installed or used on 3.1.x.
  1. Backup up your board's files and database
  2. Download the Support Toolkit. Install it and run the database cleaner to remove all old MODs from the database.
  3. Deactivate all styles except for prosilver
  4. Ensure that the activated spambot countermeasure is one of the standard phpBB plugins (Simple image, GD image, GD 3D image, Q&A, reCaptacha).
  5. Set British English as the only language pack
  6. Delete all of your phpBB 3.0.x files EXCEPT for the following:
    • The config.php file
    • The /images/ directory
    • The /files/ directory
    • The /store/ directory
  7. Upload the contents of the phpBB3 directory from the uncompressed 3.1.x Full Package (EXCEPT for config.php) into your forum's directory (Note: you don't want to overwrite your original config.php file)
  8. Browse to yourdomain.com/yourphpbb/install/database_update.php and keep clicking the continue button until it says it is finished. This will take a long time on a large board, maybe hours. Dont give up.
  9. Delete the folder named /install/
  10. Hold one foot in the air and spin around in a circle three times saying "I am a phpbb guru".
  11. Make a new database backup.

Post Reply
cron